# FileSystemException class

Exception thrown when a file operation fails.

Implemented types
  - IOException

## Constructors

FileSystemException([String message = "", String path = "", OSError osError ])
  Creates a new FileSystemException with an optional error message `message`, optional file system path `path` and optional OS error `osError`.
  const

## Properties

message → String
  Message describing the error. This does not include any detailed information form the underlying OS error. Check osError for that information.
  final
osError → OSError
  The underlying OS error. Can be `null` if the exception is not raised due to an OS error.
  final
path → String
  The file system path on which the error occurred. Can be `null` if the exception does not relate directly to a file system path.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited